com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingScrollPanePeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer
    - - com.creamtec.ajaxswing.gui.peer.AjaxSwingScrollPanePeer

- All Implemented Interfaces:
    java.awt.peer.ComponentPeer, java.awt.peer.ContainerPeer, java.awt.peer.ScrollPanePeer

      public class AjaxSwingScrollPanePeer
      extends AjaxSwingContainerPeer
      implements java.awt.peer.ScrollPanePeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingScrollPanePeer(java.awt.Container target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `childResized(int w, int h)`
    `int` | `getHScrollbarHeight()`
    `int` | `getVScrollbarWidth()`
    `void` | `setScrollPosition(int x, int y)`
    `void` | `setUnitIncrement(java.awt.Adjustable adj, int u)`
    `void` | `setValue(java.awt.Adjustable adj, int v)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingContainerPeer

      `beginLayout, beginValidate, cancelPendingPaint, endLayout, endValidate, getInsets, insets, isPaintPending, isRestackSupported, restack`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusable, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ContainerPeer

      `beginLayout, beginValidate, endLayout, endValidate, getInsets`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isFocusable, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingScrollPanePeer

          public AjaxSwingScrollPanePeer(java.awt.Container target)

  - ### Method Detail

    - #### getHScrollbarHeight

          public int getHScrollbarHeight()

      Specified by:
        `getHScrollbarHeight` in interface `java.awt.peer.ScrollPanePeer`

    - #### getVScrollbarWidth

          public int getVScrollbarWidth()

      Specified by:
        `getVScrollbarWidth` in interface `java.awt.peer.ScrollPanePeer`

    - #### setScrollPosition

          public void setScrollPosition(int x,
                               int y)

      Specified by:
        `setScrollPosition` in interface `java.awt.peer.ScrollPanePeer`

    - #### childResized

          public void childResized(int w,
                          int h)

      Specified by:
        `childResized` in interface `java.awt.peer.ScrollPanePeer`

    - #### setUnitIncrement

          public void setUnitIncrement(java.awt.Adjustable adj,
                              int u)

      Specified by:
        `setUnitIncrement` in interface `java.awt.peer.ScrollPanePeer`

    - #### setValue

          public void setValue(java.awt.Adjustable adj,
                      int v)

      Specified by:
        `setValue` in interface `java.awt.peer.ScrollPanePeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.